<?php
session_start();
include_once ('conn/session.php');

require_once 'conn/controller.php';
if (!isset($_SESSION['acc_no'])) {

    header("Location: auth_login.php");
    exit();
}


$reg_user = new USER();


$stmt = $reg_user->runQuery("SELECT * FROM account WHERE acc_no=:acc_no");
$stmt->execute(array(":acc_no"=>$_SESSION['acc_no']));
$row = $stmt->fetch(PDO::FETCH_ASSOC);
$stat = $row['status'];
if($stat == 'DORMANT/INACTIVE'){
	header('Location: home.php?dormant');
	exit();
}$stat = $row['status'];
if($stat == 'ON HOLD'){
	header('Location: home.php?hold');
	exit();
}



$bill = $row['billing_code'];

if($bill == '1'){
	header('Location: wire_auth.php');
	exit();
 
}


if($bill == '2'){
	header('Location: wire_transfer.php');
	exit();
 
}















if(isset($_POST['transfer'])){
	$email = $row['email'];
	
	$amount = trim($_POST['amount']);
	$amount = strip_tags($amount);
	$amount = htmlspecialchars($amount);
	
	$acc_no = trim($_POST['acc_no']);
	$acc_no = strip_tags($acc_no);
	$acc_no = htmlspecialchars($acc_no);
	
	$acc_name = trim($_POST['acc_name']);
	$acc_name = strip_tags($acc_name);
	$acc_name = htmlspecialchars($acc_name);
	
	$bank_name = trim($_POST['bank_name']);
	$bank_name = strip_tags($bank_name);
	$bank_name = htmlspecialchars($bank_name);
	
	$swift = trim($_POST['swift']);
	$swift = strip_tags($swift);
	$swift = htmlspecialchars($swift);
	
	$routing = trim($_POST['routing']);
	$routing = strip_tags($routing);
	$routing = htmlspecialchars($routing);
		
	$type = trim($_POST['type']);
	$type = strip_tags($type);
	$type = htmlspecialchars($type);
	
	$remarks = trim($_POST['remarks']);
	$remarks = strip_tags($remarks);
	$remarks = htmlspecialchars($remarks);
	
	$cout = trim($_POST['cout']);
	$cout = strip_tags($cout);
	$cout = htmlspecialchars($cout);
	
	$transtype = trim($_POST['transtype']);
	$transtype = strip_tags($transtype);
	$transtype = htmlspecialchars($transtype);
	
	
	
	if($reg_user->temp($email,$amount,$acc_no,$acc_name,$bank_name,$swift,$routing,$type,$remarks,$cout,$transtype)){
if (isset($_SESSION['acc_no']))
	     $codeq = substr(number_format(time() * rand(), 0, '', ''), 0, 6);
 $sql = "UPDATE account SET tmp_otp = '$codeq' WHERE acc_no ='$acc_no'";
 if(mysqli_query($link, $sql))
 $stmt = $reg_user->runQuery("SELECT * FROM account WHERE acc_no = '$acc_no'");
    $stmt->execute();
    $row = $stmt->fetch(PDO::FETCH_ASSOC);



$stmt = $reg_user->runQuery("SELECT * FROM bank_settings WHERE id = '1'");
$stmt->execute();
$row = $stmt->fetch(PDO::FETCH_ASSOC);
$bank_site_name  = $row["bank_site_name"];
$bank_site_address  = $row["bank_site_address"];
$bank_site_domain  = $row["bank_site_domain"];

  $sender = "$bank_site_name"; /* sender id */
    $message = "Please enter this code to continue proceed your domestic transfer
				$code";


    $message = "
							 
 <link href='https://fonts.googleapis.com/css?family=Kreon:400,700|Playfair+Display:400,400i,700,700i|Raleway:400,400i,700,700i|Roboto:400,400i,700,700i' rel='stylesheet' />
         
 

</div>   	 
    <!-- INTRODUCTION -->
<table width='100%' border='0' cellspacing='0' cellpadding='0' align='center'>
    <tr>
        <td bgcolor='#fbfdfd'>
            <table width='620' border='0' cellspacing='0' cellpadding='0' align='center' class='scale'>
                <tr>
                    <td bgcolor='#FFFFFF'>
                 
                        <table width='540' border='0' cellspacing='0' cellpadding='0' align='center' class='agile1 scale'>
                            
                           <tr ><td colspan='2' class='wls-5h' style='color:white; background-color:white; text-align:center; border-radius:0px;'><h1><strong><img src='$bank_site_domain/theme/img/bankio_explode_logo.png' alt='' data-default='placeholder' data-max-width='120' width='200' height='70' ></strong></h1></td></tr> 
                            <tr ><td colspan='2' height='12' style='font-size: 1px;'>&nbsp;</td></tr>
                            <tr>
                                <td class='agile-main' align='center' colspan='2' style='font-family:Bell Gothic Std; color: green; font-size: 22px;' class='scale-center-both'>
								
								<strong style='color:#2e7ca2'><u>TRANSACTION PASSCODE</u></strong></td>
                            </tr>
                            <tr><td height='12' style='font-size: 1px;'>&nbsp;</td></tr>
							
							   <tr>
                                <td class='w3l-p2' colspan='2' style='font-family: Candara, sans-serif; color:red; font-size: 20px; line-height: 18px;' class='scale-center-both'>
                                   Dear Customer,
                                </td>
                            </tr>
							<tr><td height='12' style='font-size: 1px;'>&nbsp;</td></tr>
							
                           <tr>
                                <td class='w3l-p2' colspan='2' style='font-family: Candara, sans-serif; color:black; font-size: 18px; line-height: 28px;' class='scale-center-both'>
                                Please Enter One Time Passcode Below to complete your (Same Bank Transfer) Transaction Process. This OTP code expires in 10 Minutes.
                                </td>
                            </tr>
                            <tr><td height='12' colspan='2' style='font-size: 1px;'><hr></td></tr>
                            
                                      
                        <tr><td height='12' align='left' style='font-size: 14px; line-height: 28px; font-weight:700; color:black;'>OTP/PASSCODE:</td> <td style='font-size: 16px; font-weight:700; color:#2e7ca2;'> $codeq</td></tr>
              
           
    	        
                             <tr><td class='wls-5h' height='60' align='left'  colspan='2'  style='font-size: 18px; color:red;'> Warm Regards,</td><td>&nbsp;</td></tr> 
	                        
	                         <tr><td class='wls-5h' height='60'  align='left' colspan='2' style='font-size: 20px; color:#2e7ca2;'><strong>$bank_site_name  </strong></td></tr>
    	             
    	             
								<tr>
                                <td class='w3l-p2' colspan='2' style='font-family: Candara, sans-serif; color:red; font-size: 14px; line-height: 18px; text-align:center;' class='scale-center-both'>
                                   An email really coming from us will address you by your registered first and last name or your business name. It will not ask you for sensitive information like your password, bank account or credit card details.
                                </td>
                            </tr>
    	             
                        </table>    
            
                    </td>
                </tr>
            </table>
            
        </td>
    </tr>
</table>				
								

";

  
    $acc_no = $_SESSION['acc_no'];

    $queri = " UPDATE account SET tmp_otp = '$codeq' WHERE acc_no ='$acc_no'";
    $resulti = mysqli_query($connection, $queri) or die(mysqli_error($connection));


$subject = "Confirm Transfer OTP";
  $reg_user->send_mail($row['email'], $message, $subject);
      $acc_no = $_SESSION['acc_no'];
$stmt = $reg_user->runQuery("SELECT * FROM account WHERE acc_no = '$acc_no'");
    $stmt->execute();
    $row = $stmt->fetch(PDO::FETCH_ASSOC);

	     $reg_user->send_mail($row['email'], $message, $subject);
        $phone = preg_replace('/[^0-9]/', '', $row['phone']);
        $mobile_msg = "Dear " . $row['fname'] . ", Please use the One Time Passcode (OTP): " . $codeq . " to complete your Transfer process";
        //$reg_user->otp($phone,$mobile_msg);
       
	header("Location: otp_verify.php");
	}
	
}
	

?>
 
 
  <?php include 'auth_header.php'; ?>	
  
 

 <style>
 

input[type=text], select, textarea {
  width: 100%;
  padding: 12px;
  border: 1px solid #ccc;
  border-radius: 4px;
  box-sizing: border-box;
  margin-top: 6px;
  margin-bottom: 16px;
  resize: vertical;
}

input[type=number], date{
  width: 100%;
  padding: 12px;
  border: 1px solid #ccc;
  border-radius: 4px;
  box-sizing: border-box;
  margin-top: 6px;
  margin-bottom: 16px;
  resize: vertical;
}


input[type=submit] {
  padding: 12px 20px;
  border: none;
  border-radius: 4px;
  cursor: pointer;
}

input[type=submit]:hover {
  background-color: #45a049;
}

.container {
  border-radius: 5px;
  background-color: ;
  padding: 20px;
}
</style>
				
		
		
		
		
		
					
<br><br>
 
 
 <div class="container-fluid py-4">
 
  <div class="row">
        <div class="col-12">
          <div class="card my-4">
            <div class="card-header p-0 position-relative mt-n4 mx-3 z-index-2">
              <div class="bg-gradient-success shadow-success border-radius-lg pt-4 pb-3">
                <h4 class="text-white text-capitalize ps-3"><img src="icon/same-bank.png" height="40" width="40" > SAME BANK TRANSFER</h4> 
              </div>
            </div>
            <div class="card-body px-0 pb-2"> 
                
                
     
            		    <div class="container">
    	
				 
                                                    <?php if(isset($error)){ echo $error;}?>
                    			    				<?php if(isset($errorcot)){ echo $errorcot;}?>
                    								<?php if(isset($errortax)){ echo $errortax;}?>
                    								<?php if(isset($errorpin)){ echo $errorpin;}?>
                    								<?php if(isset($insufficient)){ echo $insufficient;}?>
                    								<?php if(isset($amounterror)){ echo $amounterror;}?>
                    								<?php if(isset($errorotp)){ echo $errorotp;}?>
           
           
           <form class="forms-sample" autocomplete="off" method="POST"> 
                           
                        
                          
                          <label for="lname">Debit Account</label>
                            <input type="text"  value="<?php echo $row['acc_no']; ?> | <?php echo $row['currency']; ?><?php echo $english_format_number = number_format( $row['a_bal'] , 2, '.', ','); ?>" id="lname" name="amount" placeholder="Amount" disabled>
                          
                          
                          
                            <label for="lname">Amount (<?php echo $row['currency']; ?>)</label>
                            <input type="number"  id="lname" name="amount" placeholder="Amount" required>
                        
                            <label for="lname">Receiver Account</label>
                            <input type="number" id="lname" name="acc_no" placeholder="Receiver Account Number" required>
                            
                            <label for="lname">Receiver Account Name</label>
                            <input type="text" id="lname" name="acc_name" placeholder="Receiver Account Name" required>
                           
                           
                           
                            <input id="input-last-name" value="<?php echo $site_initial; ?>" name="bank_name" type="hidden" required>
                            <input type="hidden" class="form-control" name="uname" value="<?php echo $row['email']; ?> "/>
                            <input class="form-control" placeholder="Bank Address" name="swift" type="hidden" value="<?php echo $site_routing; ?>" required>
                              <input type="hidden"  name="routing" value="<?php echo date("h:i A d M Y"); ?>" >  
                            <input class="form-control" placeholder="Swiftcode" name="cout" type="hidden" value="<?php echo $site_initial; ?>" required> 
                            <input class="form-control" placeholder="Swiftcode" name="transtype" type="hidden" value="EFT MyBank" required>
                    
                    
                    
                      
                        
                            <label for="subject">Transaction Naration</label>
                            <textarea id="subject" name="remarks" placeholder="Write something.." style="height:200px" required></textarea>
                        
                            
                            
                            
                            
                            
                            <input type="submit" name="transfer"   class="btn bg-gradient-dark mb-0"  value="Transfer → ">  
                          </form>
             
		    
		    
		    
		    
		    </div>
 
                
                
                
                
                
                
                
                
                
                
                
                
                
                
                
                
                
                
                
                
                
                
                
                
                
                 
              
              <br><br>
            </div>
          </div>
        </div>
      </div>
 
 
 
 </div>
 
 
 
  
		    
		    
		    
		     
	
	 
       

 <?php include 'auth_footer.php'; ?>		
	